/****************************************************************/
/****************************************************************/
/*                 SOUND EDITOR                          
/*
/*			FILE:	all_ids.h
/*			AUTHOR: Ryan C. Clausing
/*			DATE:   Spring 2002
/*
/****************************************************************/
/****************************************************************/

////////////////////////////////////////////
//file menu
////////////////////////////////////////////
#define IDM_OPEN			2001
#define IDM_SAVE			2002
#define IDM_SAVEAS			2003
#define IDM_CLOSE			2005
#define IDM_REVERT			2006
#define IDM_EXIT			2007

////////////////////////////////////////////
//edit menu
////////////////////////////////////////////
#define IDM_UNDO			2100
#define IDM_REDO			2101
#define IDM_CUT				2102
#define IDM_COPY			2103
#define IDM_PASTE			2104
#define IDM_CLEAR			2105
#define IDM_COPYTONEW		2106
#define IDM_PASTETONEW		2107
#define IDM_CROP			2109
#define IDM_INSERTSILENCE	2110
#define IDM_FADEIN			2111
#define IDM_FADEOUT			2112
#define IDM_REVERSE			2113
#define IDM_SWAPCHANNELS	2114


////////////////////////////////////////////
//selection menu
////////////////////////////////////////////
#define IDM_SELALL			2200
#define IDM_SELNONE			2201
#define IDM_SELTOEND		2202
#define IDM_SELTOSTART		2203

////////////////////////////////////////////
//playback menu
////////////////////////////////////////////
#define IDM_VOLUME0			2300
#define IDM_VOLUME1			2301
#define IDM_VOLUME2			2302
#define IDM_VOLUME3			2303
#define IDM_VOLUME4			2304
#define IDM_VOLUME5			2305
#define IDM_VOLUME6			2306
#define IDM_VOLUME7			2307
#define IDM_VOLUME8			2308
#define IDM_LOOPPLAYBACK	2312
#define IDM_RIGHTCHANNEL	2313
#define IDM_LEFTCHANNEL		2314
#define IDM_INFO			2315


////////////////////////////////////////////
//buttons
////////////////////////////////////////////
#define IDC_PLAY		3000
#define IDC_STOP		3001
#define IDC_PAUSE		3002
#define IDC_FASTFWD		3003
#define IDC_REWIND		3004
#define IDC_RECORD		3005
#define IDC_GOTOSTART	3006
#define IDC_GOTOEND		3007

#define IDC_TOOLBARCTRL 3300

#define IDC_FORMATTEXT			4000
#define IDC_CHANNELSTEXT		4001
#define IDC_SAMPLERATETEXT		4002
#define IDC_BITSPERSAMPLETEXT	4003
#define IDC_KBPSTEXT			4004

#define IDC_STATUSTEXT			5000

//Silence Dialog
#define IDC_SILENCETEXT			6000


#define IDM_GENERATE			8000
#define IDM_OVERLAY				8001
#define IDC_FREQLENGTH			8500
#define IDC_FREQ				8501
#define IDC_AMPLITUDE			8503


//////enabled button icons//////////
#define ICO_ENABLED_GOTOEND		9002
#define ICO_ENABLED_GOTOBEGIN	9003
#define ICO_ENABLED_FORWARD	    9004
#define ICO_ENABLED_PLAY		9005
#define ICO_ENABLED_RECORD		9006
#define ICO_ENABLED_REWIND		9007
#define ICO_ENABLED_STOP		9008
#define ICO_ENABLED_PAUSE		9009
///////disabled button icons////////
#define ICO_DISABLED_GOTOEND	9010
#define ICO_DISABLED_GOTOBEGIN	9011
#define ICO_DISABLED_FORWARD	9012
#define ICO_DISABLED_PLAY		9013
#define ICO_DISABLED_RECORD		9014
#define ICO_DISABLED_REWIND		9015
#define ICO_DISABLED_STOP		9016
#define ICO_DISABLED_PAUSE		9017
///////hot button icons/////////////
#define ICO_HOT_GOTOEND			9018
#define ICO_HOT_GOTOBEGIN		9019
#define ICO_HOT_FORWARD			9020
#define ICO_HOT_PLAY			9021
#define ICO_HOT_RECORD			9022
#define ICO_HOT_REWIND			9023
#define ICO_HOT_STOP			9024
#define ICO_HOT_PAUSE			9025
